Package Gnumed :: Package timelinelib :: Module printing :: Class TimelinePrintout |
[frames] | no frames]

# Class TimelinePrintout

source code

          object --+
                   |
     wx._core.Object --+
                       |
    wx._windows.Printout --+
                           |
                          TimelinePrintout

This class has the functionality of printing out a Timeline document. Responds to calls such as OnPrintPage and HasPage. Instances of this class are passed to wx.Printer.Print() or a wx.PrintPreview object to initiate printing or previewing.

Instance Methods
__init__(self, drawing_area, preview=False) __init__(self, String title=PrintoutTitleStr) -> Printout | source code
OnBeginDocument(self, start, end) | source code
OnEndDocument(self) | source code
OnBeginPrinting(self) | source code
OnEndPrinting(self) | source code
OnPreparePrinting(self) | source code
HasPage(self, page) | source code
GetPageInfo(self) | source code
OnPrintPage(self, page) | source code
Inherited from `wx._windows.Printout`: `GetDC`, `GetPPIPrinter`, `GetPPIScreen`, `GetPageSizeMM`, `GetPageSizePixels`, `GetTitle`, `IsPreview`, `SetDC`, `SetIsPreview`, `SetPPIPrinter`, `SetPPIScreen`, `SetPageSizeMM`, `SetPageSizePixels`, `__repr__`, `base_GetPageInfo`, `base_HasPage`, `base_OnBeginDocument`, `base_OnBeginPrinting`, `base_OnEndDocument`, `base_OnEndPrinting`, `base_OnPreparePrinting` Inherited from `wx._core.Object`: `Destroy`, `GetClassName` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, drawing_area, preview=False) (Constructor) | source code
__init__(self, String title=PrintoutTitleStr) -> Printout Overrides: object.__init__ (inherited documentation)